Create a new subaccount for a given program customer
curl --request POST \
--url https://api.anchorage-staging.com/v2/subaccounts/customers/{customerId}/accounts \
--header 'Api-Access-Key: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Subaccount Name",
"externalSubaccountId": "EXTERNAL_ID_001",
"fees": [
{
"type": "ADVISORY",
"rate": 0.01
},
{
"type": "MODEL",
"rate": 0.01,
"isBillable": false
},
{
"type": "MANAGEMENT",
"rate": 0.01
}
]
}
'import requests
url = "https://api.anchorage-staging.com/v2/subaccounts/customers/{customerId}/accounts"
payload = {
"name": "Subaccount Name",
"externalSubaccountId": "EXTERNAL_ID_001",
"fees": [
{
"type": "ADVISORY",
"rate": 0.01
},
{
"type": "MODEL",
"rate": 0.01,
"isBillable": False
},
{
"type": "MANAGEMENT",
"rate": 0.01
}
]
}
headers = {
"Api-Access-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Api-Access-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Subaccount Name',
externalSubaccountId: 'EXTERNAL_ID_001',
fees: [
{type: 'ADVISORY', rate: 0.01},
{type: 'MODEL', rate: 0.01, isBillable: false},
{type: 'MANAGEMENT', rate: 0.01}
]
})
};
fetch('https://api.anchorage-staging.com/v2/subaccounts/customers/{customerId}/accounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": {
"subaccountId": "ec761b5e-fd2c-497a-a9a0-f8738ac97bdf"
}
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}Create a new subaccount for a given program customer
deprecated
Permissions required: Subaccount
Open a new subaccount for the program customer
DEPRECATED, please use /onboarding/accounts
POST
/
subaccounts
/
customers
/
{customerId}
/
accounts
Create a new subaccount for a given program customer
curl --request POST \
--url https://api.anchorage-staging.com/v2/subaccounts/customers/{customerId}/accounts \
--header 'Api-Access-Key: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Subaccount Name",
"externalSubaccountId": "EXTERNAL_ID_001",
"fees": [
{
"type": "ADVISORY",
"rate": 0.01
},
{
"type": "MODEL",
"rate": 0.01,
"isBillable": false
},
{
"type": "MANAGEMENT",
"rate": 0.01
}
]
}
'import requests
url = "https://api.anchorage-staging.com/v2/subaccounts/customers/{customerId}/accounts"
payload = {
"name": "Subaccount Name",
"externalSubaccountId": "EXTERNAL_ID_001",
"fees": [
{
"type": "ADVISORY",
"rate": 0.01
},
{
"type": "MODEL",
"rate": 0.01,
"isBillable": False
},
{
"type": "MANAGEMENT",
"rate": 0.01
}
]
}
headers = {
"Api-Access-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Api-Access-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Subaccount Name',
externalSubaccountId: 'EXTERNAL_ID_001',
fees: [
{type: 'ADVISORY', rate: 0.01},
{type: 'MODEL', rate: 0.01, isBillable: false},
{type: 'MANAGEMENT', rate: 0.01}
]
})
};
fetch('https://api.anchorage-staging.com/v2/subaccounts/customers/{customerId}/accounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": {
"subaccountId": "ec761b5e-fd2c-497a-a9a0-f8738ac97bdf"
}
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}Authorizations
An API key associated with a security role
Path Parameters
Unique Identifier for the program customer
Body
application/json
Details of the subaccount to open for the program customer
The external unique identifier you wish to use to identify this subaccount.
List of fees applied to the subaccount. All fees need to be defined.
Show child attributes
Show child attributes
The name of the subaccount. Needs to be unique per program customer.
Response
Successfully created the subaccount
Show child attributes
Show child attributes
Was this page helpful?